Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.avtransport.callback
Class GetCurrentTransportActions

    java.lang.Object
      org.fourthline.cling.controlpoint.ActionCallback
          org.fourthline.cling.support.avtransport.callback.GetCurrentTransportActions

All Implemented Interfaces:
  Runnable

    public abstract class GetCurrentTransportActions

extends ActionCallback

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.controlpoint.ActionCallback
`ActionCallback.Default`

Field Summary

Fields inherited from class org.fourthline.cling.controlpoint.ActionCallback
`actionInvocation, controlPoint`

Constructor Summary
`GetCurrentTransportActions(Service service)`
`GetCurrentTransportActions(UnsignedIntegerFourBytes instanceId, Service service)`

Method Summary
`abstract void` | `received(ActionInvocation actionInvocation, TransportAction[] actions)`
`void` | `success(ActionInvocation invocation)`

Methods inherited from class org.fourthline.cling.controlpoint.ActionCallback
`createDefaultFailureMessage, failure, failure, getActionInvocation, getControlPoint, run, setControlPoint, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetCurrentTransportActions

    public GetCurrentTransportActions(Service service)

### GetCurrentTransportActions

    public GetCurrentTransportActions(UnsignedIntegerFourBytes instanceId,
                                      Service service)

Method Detail

### success

    public void success(ActionInvocation invocation)

  Specified by:
    `success` in class `ActionCallback`

### received

    public abstract void received(ActionInvocation actionInvocation,
                                  TransportAction[] actions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.